/*!
   Copyright 2019 Ron Buckton

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/
import { Constructor, AbstractConstructor } from "@esfx/type-model";
export declare function isFunction(value: unknown): value is Function;
export declare function isObject(value: unknown): value is object;
export declare function isInstance<C extends Constructor>(value: unknown, ctor: C): value is InstanceType<C>;
export declare function isInstance<C extends AbstractConstructor>(value: unknown, ctor: C): value is C["prototype"];
export declare function isMissing(value: unknown): value is null | undefined;
export declare function isDefined<T>(value: T): value is NonNullable<T>;
export declare function isIterable(value: unknown): value is Iterable<any>;
export declare function isNumber(value: unknown): value is number;
export declare function isBoolean(value: unknown): value is boolean;
export declare function isPropertyKey(value: unknown): value is PropertyKey;
//# sourceMappingURL=index.d.ts.map